//
// RoomData.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct RoomData: Codable {

    public enum ModelType: String, Codable { 
        case room = "room"
    }
    /** Node type */
    public var type: ModelType?
    /** Room ID */
    public var _id: Int64
    /** Is user granted room permissions */
    public var isGranted: Bool
    /** Name */
    public var name: String
    /** Encryption state */
    public var isEncrypted: Bool
    /** Is Recycle Bin active (for rooms only) (default: false) */
    public var hasRecycleBin: Bool
    /** Retention period for deleted nodes in days (Integer between 0 and 9999) */
    public var recycleBinRetentionPeriod: Int
    /** Parent node ID (room or folder) */
    public var parentId: Int64?
    /** Room size */
    public var size: Int64?
    /** Available permissions for this node */
    public var permissions: NodePermissions?
    /** Expiration date */
    public var createdAt: Date?
    /** Created by user info */
    public var createdBy: UserInfo?
    /** Modification date */
    public var updatedAt: Date?
    /** Modified by user info */
    public var updatedBy: UserInfo?
    /** Quota in byte */
    public var quota: Int64?
    /** Returns the number of Download Shares of this node. */
    public var cntDownloadShares: Int?
    /** Returns the number of Upload Shares of this node. */
    public var cntUploadShares: Int?
    /** Node is marked as favorite (for rooms / folders only) */
    public var isFavorite: Bool?
    /** List of rooms, where this room is a parent (if exist) */
    public var children: [RoomData]?
    /** &#x60;DEPRECATED&#x60;: Number of admins (for rooms only) */
    public var cntAdmins: Int?
    /** &#x60;DEPRECATED&#x60;: Number of users (for rooms only) */
    public var cntUsers: Int?


    public enum CodingKeys: String, CodingKey { 
        case type
        case _id = "id"
        case isGranted
        case name
        case isEncrypted
        case hasRecycleBin
        case recycleBinRetentionPeriod
        case parentId
        case size
        case permissions
        case createdAt
        case createdBy
        case updatedAt
        case updatedBy
        case quota
        case cntDownloadShares
        case cntUploadShares
        case isFavorite
        case children
        case cntAdmins
        case cntUsers
    }


}

